Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser
Class TCustomLexer

    java.lang.Object
      gudusoft.gsqlparser.TCustomLexer

    public class TCustomLexer

extends java.lang.Object

Base lexer of all databases.

Field Summary
`static int` | `bconst`
`char` | `delimiterchar`
`static int` | `keyword_type_column`
`static int` | `keyword_type_identifier`
`static int` | `keyword_type_keyword`
`static int` | `keyword_type_reserved`
`static int` | `xconst`
`java.io.BufferedReader` | `yyinput`

Constructor Summary
`TCustomLexer()`

Method Summary
`boolean` | `canBeColumnName(int tokencode)`
`int` | `getkeywordvalue(java.lang.String keyword)`
`int` | `iskeyword(java.lang.String str)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### yyinput

    public java.io.BufferedReader yyinput

### keyword_type_reserved

    public static int keyword_type_reserved

### keyword_type_keyword

    public static int keyword_type_keyword

### keyword_type_identifier

    public static int keyword_type_identifier

### keyword_type_column

    public static int keyword_type_column

### delimiterchar

    public char delimiterchar

### bconst

    public static final int bconst

See Also:
  Constant Field Values

### xconst

    public static final int xconst

See Also:
  Constant Field Values

Constructor Detail

### TCustomLexer

    public TCustomLexer()

Method Detail

### iskeyword

    public int iskeyword(java.lang.String str)

### canBeColumnName

    public boolean canBeColumnName(int tokencode)

### getkeywordvalue

    public int getkeywordvalue(java.lang.String keyword)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD